Debian Bug report logs - #223077
dialog: --defaultno consumes all cpu-power

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Joerg Schuetter <joerg@schuetter.org>

Date: Sat, 6 Dec 2003 17:18:03 UTC

Severity: normal

Tags: sid

Found in version 0.9b-20031130-1

Fixed in version dialog/0.9b-20031207-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#223077; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schuetter <joerg@schuetter.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joerg Schuetter <joerg@schuetter.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: --defaultno consumes all cpu-power
Date: Sat, 06 Dec 2003 18:05:45 +0100
Package: dialog
Version: 0.9b-20031130-1
Severity: normal
Tags: sid

Hello

After upgrading to the actual version of dialog, the key --defaultno
only results in a blank screen and a high cpu usage.
dialog --title Patches --stdout --no-cancel --defaultno --yesno \
"Do you want to aply patches to the kernel?" 5 70

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux pluto 2.6.0-test11-nvidia.4496-20031130-2 #1 Sun Nov 30 20:15:11 CET 2003 i686
Locale: LANG=C, LC_CTYPE=de_DE@euro

Versions of packages dialog depends on:
ii  debianutils               2.6.1          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-4 Shared libraries for terminal hand

-- no debconf information




Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 223077-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Thomas Dickey <dickey@his.com>
Cc: 223077-forwarded@bugs.debian.org, Joerg Schuetter <joerg@schuetter.org>
Subject: Bug#223077: dialog: --defaultno consumes all cpu-power (fwd)
Date: Sat, 6 Dec 2003 20:10:03 +0100 (CET)
Hello.

Received today. I can reproduce it.

---------- Forwarded message ----------
From: Joerg Schuetter <joerg@schuetter.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Sat, 06 Dec 2003 18:05:45 +0100
Subject: Bug#223077: dialog: --defaultno consumes all cpu-power

Package: dialog
Version: 0.9b-20031130-1
Severity: normal
Tags: sid

Hello

After upgrading to the actual version of dialog, the key --defaultno
only results in a blank screen and a high cpu usage.
dialog --title Patches --stdout --no-cancel --defaultno --yesno \
"Do you want to aply patches to the kernel?" 5 70

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux pluto 2.6.0-test11-nvidia.4496-20031130-2 #1 Sun Nov 30 20:15:11 CET 2003 i686
Locale: LANG=C, LC_CTYPE=de_DE@euro

Versions of packages dialog depends on:
ii  debianutils               2.6.1          Miscellaneous utilities specific t
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libncursesw5              5.3.20030719-4 Shared libraries for terminal hand

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#223077; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #13 received at 223077@bugs.debian.org (full text, mbox):

From: dickey@his.com (Thomas Dickey)
To: 223077@bugs.debian.org
Cc: dickey@his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=223077
Date: Sun, 7 Dec 2003 16:21:14 -0500
>                       Debian Bug report logs - #223077
>                  dialog: --defaultno consumes all cpu-power

fixed (new file available for upload).
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joerg Schuetter <joerg@schuetter.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 223077-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 223077-close@bugs.debian.org
Subject: Bug#223077: fixed in dialog 0.9b-20031207-1
Date: Mon, 08 Dec 2003 08:32:07 -0500
Source: dialog
Source-Version: 0.9b-20031207-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9b-20031207-1.diff.gz
  to pool/main/d/dialog/dialog_0.9b-20031207-1.diff.gz
dialog_0.9b-20031207-1.dsc
  to pool/main/d/dialog/dialog_0.9b-20031207-1.dsc
dialog_0.9b-20031207-1_i386.deb
  to pool/main/d/dialog/dialog_0.9b-20031207-1_i386.deb
dialog_0.9b-20031207.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9b-20031207.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 223077@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  8 Dec 2003 14:02:46 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9b-20031207-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 223077
Changes: 
 dialog (0.9b-20031207-1) unstable; urgency=low
 .
   * New upstream release. Fixes infinite loop when using both "--no-cancel"
     and "--defaultno" in a yesno widget (Closes: #223077).
Files: 
 857db10fe86a4afff8b3b1fe5f175fec 596 misc optional dialog_0.9b-20031207-1.dsc
 3de205f1279e8e77ecc6c62df4b09e30 248869 misc optional dialog_0.9b-20031207.orig.tar.gz
 1b9f30d21466cc662c25c19fc1e4db10 7003 misc optional dialog_0.9b-20031207-1.diff.gz
 d18e14c9180c640ce6ce7caed86f3d4b 157216 misc optional dialog_0.9b-20031207-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/1Hhzd9Uuvj7yPNYRAh1uAJ0bLTLIVqDDueoVc1KZ5fVpw3nNjQCgnOZX
8U8XKSckTK2/xp+OYd1Tckw=
=QJOp
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:46:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.